Object.defineProperty(exports, "__esModule", { value: true });
const svelte_language_core_1 = require("@volar-examples/svelte-language-core");
const typescript_1 = require("@volar-plugins/typescript");
const node_1 = require("@volar/language-server/node");
const plugin = () => ({
    extraFileExtensions: [{ extension: 'svelte', isMixedContent: true, scriptKind: 7 }],
    semanticService: {
        semanticTokenLegend: (0, typescript_1.getSemanticTokenLegend)(),
        getLanguageModules(host) {
            return [svelte_language_core_1.languageModule];
        },
        getServicePlugins() {
            return [
                (0, typescript_1.default)(),
            ];
        },
    },
    syntacticService: {
        getLanguageModules(host) {
            return [svelte_language_core_1.languageModule];
        },
        getServicePlugins() {
            return [
                (0, typescript_1.default)(),
            ];
        }
    },
});
(0, node_1.createLanguageServer)([plugin]);
//# sourceMappingURL=index.js.map